Endpoints
Your organization
Retrieve the organization associated with your API key. Useful for verifying your credentials and checking your org profile.
GET
/organizationcurl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
https://api.intervals.run/organizationAuthorization
read:seriesResponse
_idstringrequiredOrganization ID
namestringrequiredOrganization name
slugstringrequiredURL slug
rolesenum<array>requiredOrganization roles
Available options: organizer,sponsor,federation
planenum<string>requiredSubscription plan
Available options: free,local,elite,enterprise
{
"data": {
"_id": "k57abc123def456",
"name": "North Shore Race Management",
"slug": "north-shore-race-mgmt",
"roles": [
"organizer"
],
"plan": "local"
}
}Request
curl -H "Authorization: Bearer INTERVALS_PARTNER_API_KEY" \
https://api.intervals.run/organizationResponse
{
"data": {
"_id": "k57abc123def456",
"name": "North Shore Race Management",
"slug": "north-shore-race-mgmt",
"roles": [
"organizer"
],
"plan": "local"
}
}